Bug 26895 - segfault при открытии видео файла
: segfault при открытии видео файла
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vlc)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-02-05 20:03 by
Modified: 2012-02-07 04:52 (History)


Attachments
vclog (3.95 KB, application/x-bzip)
2012-02-06 00:19, diver
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-05 20:03:41
С вчерашнего дня вылетает в сегфолт vlc при попытке открыть любой видео файл.
Сносил его полностью, переустанавливал, удалял все конфиги, проблема остается.

$ rpmquery -a vlc-\*
vlc-plugin-ffmpeg-2.0-alt0.2
vlc-plugin-bluray-2.0-alt0.2
vlc-plugin-jack-2.0-alt0.2
vlc-plugin-theora-2.0-alt0.2
vlc-plugin-videocd-2.0-alt0.2
vlc-plugin-framebuffer-2.0-alt0.2
vlc-plugin-smb-2.0-alt0.2
vlc-plugin-xcb-2.0-alt0.2
vlc-plugin-a52-2.0-alt0.2
vlc-plugin-osd-2.0-alt0.2
vlc-plugin-dvdnav-2.0-alt0.2
vlc-plugin-matroska-2.0-alt0.2
vlc-plugin-mtp-2.0-alt0.2
vlc-plugin-dvdread-2.0-alt0.2
vlc-plugin-flac-2.0-alt0.2
vlc-plugin-fluidsynth-2.0-alt0.2
vlc-plugin-musepack-2.0-alt0.2
vlc-plugin-shout-2.0-alt0.2
vlc-plugin-mpeg2-2.0-alt0.2
vlc-plugin-dbus-2.0-alt0.2
vlc-plugin-freetype-2.0-alt0.2
vlc-plugin-caca-2.0-alt0.2
vlc-plugin-mad-2.0-alt0.2
vlc-plugin-projectm-2.0-alt0.2
vlc-plugin-twolame-2.0-alt0.2
vlc-plugin-ogg-2.0-alt0.2
vlc-plugin-taglib-2.0-alt0.2
vlc-plugin-globalhotkeys-2.0-alt0.2
vlc-plugin-dca-2.0-alt0.2
vlc-plugin-modplug-2.0-alt0.2
vlc-plugin-realrtsp-2.0-alt0.2
vlc-plugin-upnp-2.0-alt0.2
vlc-plugin-pulseaudio-2.0-alt0.2
vlc-plugin-live555-2.0-alt0.2
vlc-plugin-ass-2.0-alt0.2
vlc-plugin-aa-2.0-alt0.2
vlc-plugin-goom-2.0-alt0.2
vlc-plugin-png-2.0-alt0.2
vlc-plugin-svg-2.0-alt0.2
vlc-plugin-xml-2.0-alt0.2
vlc-plugin-bonjour-2.0-alt0.2
vlc-plugin-podcast-2.0-alt0.2
vlc-plugin-v4l-2.0-alt0.2
vlc-plugin-notify-2.0-alt0.2
vlc-mini-2.0-alt0.2
vlc-plugin-audiocd-2.0-alt0.2
vlc-plugin-gnutls-2.0-alt0.2
vlc-plugin-speex-2.0-alt0.2
vlc-interface-qt4-2.0-alt0.2
vlc-plugin-dv-2.0-alt0.2
vlc-plugin-schroedinger-2.0-alt0.2
------- Comment #1 From 2012-02-06 00:15:43 -------
сделайте пожалуйста следующее:
vlc -vv /path/to/file.avi 2>&1 |tee vlclog
вместо /path/to/file.avi -- путь к любому видеофайлу, на котором падает.
файл vlclog затем сюда или мне в почту.
------- Comment #2 From 2012-02-06 00:19:20 -------
Created an attachment (id=5315) [details]
vclog

В атаче.
------- Comment #3 From 2012-02-06 14:33:33 -------
снимите галку в инструменты->настройки->ввод и кодеки->использовать
видеоускоритель -- падать перестанет ?
------- Comment #4 From 2012-02-06 14:38:29 -------
или vlc --no-ffmpeg-hw /path/to/file ...
------- Comment #5 From 2012-02-06 14:52:54 -------
Падает, с что с включенной галкой, что с выключенной. В консоли с параметром
тоже не помогает.
------- Comment #6 From 2012-02-06 14:58:39 -------
а видеокарта и драйвера какие ?
и кстати, вы его от рута пускаете, раз ему удаётся обновить
/usr/lib/vlc/plugins/plugins.dat ?
------- Comment #7 From 2012-02-06 15:56:50 -------
Карты nvidia, драйвер kernel-modules-nvidia-un-def-290.10-alt1.197121.2

пускаю от пользователя.

Обновлять пробует только при аpt-get dist-upgrade от рута
------- Comment #8 From 2012-02-06 16:18:16 -------
пока у меня нет доступа к железке с nvidia:
есть ли разница в поведении с установленным libva-driver-vdpau
и без ?
------- Comment #9 From 2012-02-06 16:22:08 -------
(В ответ на комментарий №8)
> пока у меня нет доступа к железке с nvidia:
> есть ли разница в поведении с установленным libva-driver-vdpau
> и без ?

Нет, после rpm -e libva-driver-vdpau по прежнему:
$ cvlc ./01.\ Genesis.avi 
VLC media player 2.0.0-rc1 Twoflower (revision 2.0-alt0.2)
[0xb7202050] dummy interface: using the dummy interface module...
Ошибка сегментирования
------- Comment #10 From 2012-02-06 16:25:57 -------
Так. Проблема исчерпана после следующих телодвижений.
$ apt-get update && apt-get dist-upgrade
Получено: 1 ftp://ftp.altlinux.org i586 release [861B]
Получено: 2 ftp://ftp.altlinux.org noarch release [859B]
Получено 1720B за 0s (3191B/s).              
Найдено ftp://ftp.altlinux.org i586/classic pkglist
Найдено ftp://ftp.altlinux.org i586/classic release
Найдено ftp://ftp.altlinux.org noarch/classic pkglist
Найдено ftp://ftp.altlinux.org noarch/classic release
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Подсчет обновлений... Завершено
Следующие пакеты будут СОХРАНЕНЫ:
  gst-plugins-bad gst-plugins-ugly libavcodec53 libavdevice libavfilter
libavformat53 libquicktimehv libvpx libx264 mencoder x264 xulrunner
xulrunner-libs
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 13 не будет
обновлено.


$ apt-get install gst-plugins-bad gst-plugins-ugly libavcodec53 libavdevice
libavfilter libavformat53 libquicktimehv libvpx libx264 mencoder x264 xulrunner
xulrunner-libs
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие пакеты будут ОБНОВЛЕНЫ:
  gst-plugins-bad gst-plugins-ugly libavcodec53 libavdevice libavfilter
libavformat53 libquicktimehv libvpx libx264 mencoder x264 xulrunner
xulrunner-libs
Следующие пакеты будут УДАЛЕНЫ:
  chromium-browser chromium-browser-codecs libavcodec52 libavdevice52
libavformat52
13 будет обновлено, 0 новых установлено, 5 пакетов будет удалено и 0 не будет
обновлено.
Необходимо получить 17,5MB архивов.
После распаковки будет освобождено 68,8MB дискового пространства.
Продолжить? [Y/n] Y
...
------- Comment #11 From 2012-02-06 16:42:25 -------
всё хорошо, что хорошо кончается -- хотя apt мог быть и посообразительнее.
------- Comment #12 From 2012-02-07 04:52:17 -------
(In reply to comment #11)
> всё хорошо, что хорошо кончается -- хотя apt мог быть и посообразительнее.

Если уж на то пошло, то человек, удаливший chromium-browser на несколько дней
из репозитория, тоже мог бы быть посообразительней и предвидеть нежелание
"apt-get dist-upgrade" последовать его примеру.